#include <9pm/windows.h>
#include <9pm/u.h>
#include <9pm/libc.h>

void
pm_panic(char *fmt, ...)
{
	char buf[128];
	va_list arg;

	va_start(arg, fmt);
	doprint(buf, buf+sizeof buf, fmt, arg);
	va_end(arg);
	fprint(2, "panic %s%s%d: %s\n", pm_argv0?pm_argv0:"", pm_argv0?" ":"", getpid(), buf);
	for(;;)
		Sleep(1000);
}
